RPMDEPS(1)

BEZEICHNUNG
rpmdeps - RPM-Paketabhängigkeiten erzeugen

ÜBERSICHT
rpmdeps <Aktion> [Optionen]

rpmdeps <operation> [Optionen] DATEI …

BESCHREIBUNG
rpmdeps erzeugt Paketabhängigkeiten für eine oder mehrere Dateien, die entweder als Liste von Dateinamen auf der Standardeingabe oder als Befehlszeilenargumente empfangen werden.

rpmdeps wird normalerweise nicht direkt aufgerufen, kann aber bei der Fehlerbehebung bei der Abhängigkeitserzeugung und der Entwicklung neuer Abhängigkeitsgeneratoren hilfreich sein. Das Installationsverzeichnis von rpmdeps kann mit rpm -E "%{_rpmconfigdir}" ermittelt werden.

Beachten Sie, dass der eigentliche rpmdeps-Befehl nur für die automatische Abhängigkeitserzeugung im Abwärtskompatibilitätsmodus von rpmbuild(1) verwendet wird.

AKTIONEN
--alldeps
    gibt alle Abhängigkeiten aus.

--conflicts
    gibt »conflicts«-Abhängigkeiten (Konflikte des Pakets) aus.

--enhances
    gibt »enhances«-Abhängigkeiten (Verbesserungen) aus.

--obsoletes
    gibt »obsoletes«-Abhängigkeiten (Veralterungen) aus.

--orderwithrequires
    gibt »orderwithrequires«-Abhängigkeiten (Sortierreihenfolge) aus.

-P, --provides
    gibt »provides«-Abhängigkeiten (Bereitstellungen) aus.

--recommends
    gibt »recommends«-Abhängigkeiten (Empfehlungen) aus.

-R, --requires
    gibt »requires«-Abhängigkeiten (Erfordernisse) aus.

--suggests
    gibt »suggests«-Abhängigkeiten (Empfehlungen) aus.

--supplements
    gibt »supplements«-Abhängigkeiten (Ergänzungen) aus.

ARGUMENTE
DATEI
    Eine reguläre Datei.

OPTIONEN
Siehe rpm-common(8) für die Optionen, die allen Aktionen gemeinsam sind.

UMGEBUNGSVARIABLEN
RPM_BUILD_ROOT
    Der Präfixpfad, der beim Generieren von Abhängigkeiten basierend auf tatsächlichen Pfaden entfernt werden soll.

EXIT-STATUS
Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

BEISPIELE
rpmdeps --requires /bin/ls
    Gibt die automatisch ermittelten »requires«-Abhängigkeiten der Binärdatei ls(1) aus.

find popt-1.19-build/BUILDROOT -type f | /usr/lib/rpm/rpmdeps -P
    Gibt die automatisch ermittelten »provides«-Abhängigkeiten aller Dateien im Verzeichnis popt-1.19-build/BUILDROOT aus.

SIEHE AUCH
rpm(8), rpmbuild(1), rpm-common(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.